XmCreateScrolledText(3Xm)

NAME
XmCreateScrolledText — the Text ScrolledText convenience creation function.

SYNOPSIS
#include <Xm/Text.h>

Widget XmCreateScrolledText (parent, name, arglist, argcount)
    Widget    parent;
    String    name;
    ArgList    arglist;
    Cardinal    argcount;

DESCRIPTION
XmCreateScrolledText creates an instance of a Text widget that is contained within a ScrolledWindow. All ScrolledWindow subarea widgets are automatically created by this function. The ID returned by this function is that of the Text widget. Use this ID for all normal Text operations, as well as those that are relevant for the ScrolledText widget.

The Text widget defaults to single-line text edit; therefore, no ScrollBars are displayed. The Text resource XmNeditMode must be set to XmMULTI-LINE-EDIT to display the ScrollBars.

Other aspects of the appearance and behavior of the ScrolledText should be controlled by using the ScrolledWindow widget resources. For instance, if an application writer wishes to specify the x,y location of a ScrolledText within a larger manager, set the XmNx and XmNy resources of the ScrolledWindow rather than of the Text widget.

To obtain the ID of the ScrolledWindow widget associated with the ScrolledText, use the Xt Intrinsics XtParent function. The name of the ScrolledWindow created by this function is formed by concatenating the letters SW onto the end of the name specified in the parameter list.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

arglist
    Specifies the argument list.

argcount
    Specifies the number of attribute/value pairs in the argument list (arglist).

For a complete definition of Text and its associated resources, see XmText(3Xm).

RETURN VALUE
Returns the Text widget ID.

RELATED INFORMATION
XmScrolledWindow(3Xm) and XmText(3Xm).